- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FUTestBed Class Reference
[Utility Classes.]

A test suite runner. More...

`#include <FUTestBed.h>`

List of all members.

## Public Member Functions
| FUTestBed (const fchar *filename, bool isVerbose)
| Constructor.
bool | IsVerbose () const
| Retrieves whether verbose logging is enabled.
FULogFile & | GetLogFile ()
| [INTERNAL] Retrieves the log file.
bool | RunTestbed (FUTestSuite *headTestSuite)
| Runs a test suite and returns the results.
void | RunTestSuite (FUTestSuite *testSuite)
| [INTERNAL] Runs a test suite and compiles the results.

## Detailed Description

A test suite runner.

This class is used to run test suites and compile the results.

## Constructor & Destructor Documentation

FUTestBed::FUTestBed | ( | const fchar * | filename,
|  | bool | isVerbose
| ) |

  | Constructor. Parameters:
  | filename | The filename of the logfile to open.
  | isVerbose | Whether to enable more logging. Currently, this means writing one line to the log when starting any test suite starts.

## Member Function Documentation

FULogFile& FUTestBed::GetLogFile | ( |  | ) | `[inline]`

| [INTERNAL] Retrieves the log file. Used by test suites to write out custom output. Returns: The log file structure.

bool FUTestBed::IsVerbose | ( |  | ) | const`[inline]`

| Retrieves whether verbose logging is enabled. Returns: Whether verbose logging is enabled.

bool FUTestBed::RunTestbed | ( | FUTestSuite * | headTestSuite | ) |

  | Runs a test suite and returns the results. Parameters:
  | headTestSuite | The top-level test suite to start.
Returns: Whether all the tests have passed.

void FUTestBed::RunTestSuite | ( | FUTestSuite * | testSuite | ) |

  | [INTERNAL] Runs a test suite and compiles the results. This is used recursively to run a full hierarchy of test suites. Parameters:
  | testSuite | A test suite to run.

The documentation for this class was generated from the following file:

- FUtils/FUTestBed.h